<?lsp

function openDat(mode)
   return 
end

local csr="Error: Cannot open server.csr"
local bio=app.bio
local fp = bio:open("server.csr","r")
if fp then
   csr = fp:read("*a")
   fp:close()
   bio:remove("server.csr")
   bio:remove("server.cert.cnf")
end

title="Certificate Signing Request Data"
response:include"/rtl/.header.lsp"
?>
<p>Copy the Certificate Signing Request (CSR) below and send the data to a Certificate Authority (CA).</p>
<textarea name="message" cols="75" rows="18" wrap="physical">
<?lsp=csr?>
</textarea>
<h2><br/></h2>
<h1>Selecting a CA for signing your CSR</h1>

<p>VeriSign and its acquisitions, which include Thawte and Geotrust, are the most common providers for large enterprises and banks. These companies sell certificates that are very expensive.</p>

<p>More reasonable CA's includes RapidSSL.</p>

<p><a href="http://www.trustico.com/">Trustico-RapidSSL</a> provides a free 30 day trial certificate. Installing a free trial certificate is recommended if you have never installed a certificate. Installing a free trial certificate does not cost you anything if you should make a mistake.</p>

<p>You can do a <a href="http://www.google.com/search?q=ssl+certificate" target="_blank">Google search for ssl certificate</a> and select a provider.</p>

<p>When you purchase a SSL certificate and follow the "Purchase a SSL Certificate Wizard" from one of the providers, select "OTHER" or something thereof when you get to the page where you select the server type.</p>

<p><b><a href="./">Continue</a></b> (After you have copied the above CSR).</p>
<?lsp
title="sslcert"
response:include"/rtl/.footer.lsp"
?>
