<?lsp
local bio=app.bio
local fmt = string.format

local conf={}
if bio:stat"bdd.conf" then
   bio:dofile("bdd.conf",conf)
end
conf.keyfile = "server.key"
conf.certfile = "server.cert"
local conftxt={}
for k,v in pairs(conf) do
   table.insert(conftxt,
                type(v) == "string" and
                   fmt("%s=[[%s]]",tostring(k),v) or
                   fmt("%s=%s",tostring(k),tostring(v)))

end
local fp = bio:open("bdd.conf", "w")
if fp then
   fp:write(table.concat(conftxt,"\n"))
   fp:close()
end

title="Certificate Installed"
response:include"/rtl/.header.lsp"
?> 

<p>The certificate will be loaded by BarracudaDrive the next time you start/restart the server.</p>
<?lsp
title="sslcert"
response:include"/rtl/.footer.lsp"
?>
