function getWinPos()
{
   var w;
   var h;
   if (self.innerWidth) {
      w = self.innerWidth;
      h = self.innerHeight;
   }
   else if (document.documentElement && document.documentElement.clientWidth){
      w = document.documentElement.clientWidth;
      h = document.documentElement.clientHeight;
   }
   else if (document.body) {
      w = document.body.clientWidth;
      h = document.body.clientHeight;
   }
   else {
      w=400;
      h=400;
   }
   return {w:w,h:h};
};

$(function(){
   $("img[hlp]").mouseover(function(e) {
      $("#help").html("<h1>Loading help...</h1>");
      var ws = getWinPos();
      var calcWidth = e.pageX - 100;
      if(calcWidth<20) calcWidth=20;
      var h = parseInt(calcWidth*1.3333);
      var y = e.pageY - h;
      var offs;
      if(window.pageYOffset) offs=window.pageYOffset;
      else offs = document.documentElement.scrollTop;
      offs +=5;
      if(y < offs) y = offs;
      $("#help").show().css("top", y).width(calcWidth).load('help/'+$(this).attr('hlp')+'.txt');
   }).mouseout(function() {
      $("#help").hide();
   });
});


