<?lsp
if request:method() == "POST" then
   local data = request:data()
   local certificate = app.trim(data.certificate)
   if certificate then
      local _, s = string.find(certificate,"BEGIN CERTIFICATE%--")
      local e,na = string.find(certificate,"%--END CERTIFICATE")
      if s and e and e > s then
         local fp = app.bio:open("server.cert", "w")
         if fp then
            fp:write(certificate)
            fp:close()
            response:forward".install.lsp"
         end
      end
   end
   title = "Invalid, try again!"
end

if not title then
   title="Install certificate signed by a CA"
end
response:include"/rtl/.header.lsp"
?> 

<p>The <b>C</b>ertificate <b>A</b>uthority will normally send you a certificate by email when the purchase is complete. Copy the certificate from the email, paste the certificate into the form below, and press Install.</p>
<form method="post">
<textarea name="certificate" cols="75" rows="18" wrap="physical">
</textarea>
<br/><br/>
<input type="submit" value="Install"></input>
</form>
<?lsp
title="sslcert"
response:include"/rtl/.footer.lsp"
?>
